/* General container styling */
.containers {
    display: flex;
    height: 90vh;
    background-color: #f5f5f5; /* Light gray background */
    justify-content: center;
    align-items: center;
}

.top-left {
    position: absolute;
    top: 20px; /* Adjust the distance from the top as needed */
    left: 20px; /* Adjust the distance from the left as needed */
}

/* Card styling */
.card, .form-container {
    width: 50%;
    background-color: #ffffff; /* White background for card and form */
    padding: 25px; /* Increased padding */
    border-radius: 12px; /* Rounded corners */
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.15); /* Shadow for depth */
    overflow-y: auto; /* Allow scrolling if the form content overflows the height */
    
    /* Animation properties */
    animation: fadeIn 0.5s ease-in-out; /* Fade-in effect */
}

/* Define the fadeIn animation */
@keyframes fadeIn {
    from {
        opacity: 0; /* Start with the form container invisible */
        transform: translateY(-20px); /* Start with a slight upward offset */
    }
    to {
        opacity: 1; /* End with the form container fully visible */
        transform: translateY(0); /* Return the form container to its original position */
    }
}

/* Form elements styling */
.form-control {
    width: 100%;
    padding: 12px; /* Increased padding */
    margin-bottom: 15px; /* Increased space between form elements */
    border: 1px solid #ced4da; /* Light gray border */
    border-radius: 8px; /* Rounded corners */
    transition: border-color 0.2s ease-in-out;
}

/* Form control hover effect */
.form-control:hover {
    border-color: #007bff; /* Blue border on hover */
}

/* Button styling */
.button {
    padding: 12px 20px; /* Increased padding */
    border-radius: 8px; /* Rounded corners */
    font-weight: bold;
    transition: all 0.2s ease-in-out;
    margin-right: 10px; /* Space between buttons */
}

/* Success button */
.button-success {
    background-color: #007bff; /* Blue background */
    color: #fff; /* White text */
}

/* Danger button */
.button-danger {
    background-color: #dc3545; /* Red background */
    color: #fff; /* White text */
}

/* Button hover and active states */
.button:hover {
    opacity: 0.85; /* Slightly decrease opacity on hover */
}

.button:active {
    opacity: 0.75; /* Further decrease opacity on click */
}

/* Form heading */
h2 {
    margin-bottom: 20px;
    font-size: 24px;
    color: #343a40; /* Dark gray text */
}

/* Table styling */
.table {
    width: 100%;
    margin-top: 10px;
    border-collapse: collapse;
    color: #343a40; /* Dark gray text */
}

.table th, .table td {
    padding: 12px;
    text-align: left;
    border-bottom: 1px solid #dee2e6; /* Light gray border */
}

.table th {
    background-color: #e9ecef; /* Light gray background for header */
}
